*-----------------------------------------------------------------------
      subroutine nxfilm(ncdfid,lfmode)

      include   '/usr/local/include/netcdf.inc'

      logical   lfmode


      if (lfmode) then
        ncsfiz=ncsfil(ncdfid,NCFILL,ircode)
      else
        ncsfiz=ncsfil(ncdfid,NCNOFILL,ircode)
      end if

      if (ircode.ne.0) call msgdmp('e','nxfilm','error in ncsfil.')

      end
